# $Revision: 1.23 $, $Date: 2005/06/14 06:53:36 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Text
%define		pnam	Autoformat
Summary:	Text::Autoformat perl module
Summary(pl):	Modu perla Text::Autoformat
Name:		perl-Text-Autoformat
Version:	1.13
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1a944e3e21e176178bb4f87a6068f041
BuildRequires:	perl-Text-Reform >= 1.11
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Text-Reform >= 1.11
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Text::Autoformat provides intelligent formatting of plaintext without
the need for any kind of embedded mark-up. The module recognizes
Internet quoting conventions, a wide range of bulleting and number
schemes, centred text, and block quotations, and reformats each
appropriately. Other options allow the user to adjust inter-word and
inter-paragraph spacing, justify text, and impose various
capitalization schemes.

%description -l pl
Text::Autoformat udostpnia inteligentne formatowanie czystego tekstu
bez potrzeby jakichkolwiek znacznikw. Modu rozpoznaje internetowe
konwencje cytowania, szeroki zasb wylicze i wiele schematw, tekst
centrowany, cytaty blokowe - i kady z nich odpowiednio reformatuje.
Inne opcje pozwalaj uytkownikowi regulowa odstpy midzy sowami
i midzy akapitami, justowa tekst i stosowa rne schematy wielkoci
liter.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Text/Autoformat.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Text-Autoformat.spec,v $
Revision 1.23  2005/06/14 06:53:36  petec
- up to 1.13

Revision 1.22  2004/11/03 22:30:48  paladine
- formatting

Revision 1.21  2004/05/06 18:01:32  ankry
- fixed perl-devel BR

Revision 1.20  2004/04/27 15:26:27  ankry
- new bconds

Revision 1.19  2003/09/09 10:24:51  ankry
- spaces -> tab

Revision 1.18  2003/08/18 08:09:18  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.17  2003/06/12 09:39:10  qboosh
- fixed License, tests on bcond, BR: perl-Text-Reform (from RA-branch)
- up to 1.12

Revision 1.16  2003/05/28 13:01:05  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 06:25:02  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/04/14 07:44:01  qboosh
- typo

Revision 1.13  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.12  2003/03/01 21:34:58  radek
- should be ready for perl-5.8.0; release++

Revision 1.11  2003/02/24 20:31:58  radek
- use the __perl macro

Revision 1.10  2003/02/18 15:38:41  ankry
- massive attack: change CPAN URLs

Revision 1.9  2002/07/13 15:42:23  qboosh
- new %%doc, cosmetics

Revision 1.8  2002/07/10 08:58:04  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.7  2002/05/11 14:28:13  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.6  2002/04/24 22:08:55  ankry
- added Date in header

Revision 1.5  2002/02/25 10:34:42  depesz
cleanup; revision++

Revision 1.4  2002/02/22 23:29:33  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/02/21 04:54:29  kloczek
- release 2.

Revision 1.2  2002/02/19 14:29:14  qboosh
- pl description

Revision 1.1  2002/02/19 12:26:36  depesz
- new module
- sorry - no polish description (can't thinkf of one)
- STBR
